3 Replies Latest reply on Aug 28, 2016 3:20 AM by Claus Ibsen

    Fuse fabric container - Provision status ERROR !!

    Santhosh Chandrasekaran Newbie

      Container version - JBoss Fuse (6.2.1.redhat-084)

      Below is the actual error which I get in Mgmt Console -

      error - org.osgi.service.resolver.ResolutionException: Unable to resolve root: missing requirement [root] osgi.identity; osgi.identity=org.apache.camel.camel-test-blueprint; type=osgi.bundle; version="[2.15.1.redhat-620133,2.15.1.redhat-620133]"; resolution:=mandatory [caused by: Unable to resolve org.apache.camel.camel-test-blueprint/2.15.1.redhat-620133: missing requirement [org.apache.camel.camel-test-blueprint/2.15.1.redhat-620133] osgi.wiring.package; filter:="(osgi.wiring.package=de.kalpatec.pojosr.framework)"]


      I read an article and to add addtional <pluginRepository/> in pom.xml (Attached) . But its not helping for a Happy path !!. Please help if any body can


      I did tried changing versions too From 2.15.1.redhat-620133 to 2.15.1.redhat-620184

      error - org.osgi.service.resolver.ResolutionException: Unable to resolve root: missing requirement [root] osgi.identity; osgi.identity=org.apache.camel.camel-test-blueprint; type=osgi.bundle; version="[2.15.1.redhat-621084,2.15.1.redhat-621084]"; resolution:=mandatory [caused by: Unable to resolve org.apache.camel.camel-test-blueprint/2.15.1.redhat-621084: missing requirement [org.apache.camel.camel-test-blueprint/2.15.1.redhat-621084] osgi.wiring.package; filter:="(&(osgi.wiring.package=org.apache.camel.test.junit4)(version>=2.15.0)(!(version>=2.16.0)))"]


      Changed the dependency

          <dependency>

            <groupId>org.apache.camel</groupId>

            <artifactId>camel-test-blueprint</artifactId>

            <version>2.10.0.redhat-60092</version>

          </dependency>

       

      and its present in repo - https://maven.repository.redhat.com/ga/org/apache/camel/camel-test-blueprint/2.10.0.redhat-60092/

      But the -

      Provision Status:

      error - org.osgi.service.resolver.ResolutionException: Unable to resolve root: missing requirement [root] osgi.identity; osgi.identity=org.apache.camel.camel-test-blueprint; type=osgi.bundle; version="[2.10.0.redhat-60092,2.10.0.redhat-60092]"; resolution:=mandatory [caused by: Unable to resolve org.apache.camel.camel-test-blueprint/2.10.0.redhat-60092: missing requirement [org.apache.camel.camel-test-blueprint/2.10.0.redhat-60092] osgi.wiring.package; filter:="(osgi.wiring.package=de.kalpatec.pojosr.framework)"]